> For the complete documentation index, see [llms.txt](https://docs.loomai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.loomai.com/api/avatars/renderings/resolve-status.md).

# Resolve Status

Resolves processing status of created rendering.

### HEAD /avatars/{AVATAR\_ID}/renderings/{RENDERING\_ID}

This allows to query the status of a rendering. Please use a reasonable interval of 1+ seconds when querying this endpoint. See [Schema > Status](/api/schema/status.md#x-loom-status) for a list of status values.

#### Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X HEAD "https://api.loomai.com/v0.5/avatars/{AVATAR_ID}/renderings/{RENDERING_ID}"
```

{% endtab %}

{% tab title="Example" %}

```bash
curl -X HEAD "https://api.loomai.com/v0.5/avatars/5723980430835712/renderings/5723980430835712"
```

{% endtab %}
{% endtabs %}

#### Response

{% tabs %}
{% tab title="Schema" %}

```http
HTTP/1.1 204 No Content
X-Loom-Status: [STATUS]
```

{% endtab %}

{% tab title="Example" %}

```http
HTTP/1.1 204 No Content
X-Loom-Status: inprogress
```

{% endtab %}
{% endtabs %}
